/**
 * @file
 * Styles for menus in Corporate+.
 */

/*Menus*/
ul.menu {
  margin: 0;
  padding: 0;
  list-style: none;
}
ul.menu li {
  margin: 0;
  position: relative;
  list-style: none;
  padding: 0;
}
ul.menu li a,
ul.menu li > span {
  padding: 7px 0 8px 25px;
  line-height: 150%;
  display: block;
  text-decoration: none;
}
ul.menu li > span {
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  -ms-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}
.region--dark-typography ul.menu li a.is-active {
  color: #1d1d1d;
}
.region--dark-typography ul.menu li a.is-active:hover {
  color: #ffffff;
}
ul.menu li a:hover {
  text-decoration: none;
  color: #ffffff;
}
.region--light-typography ul.menu li a,
.region--light-typography ul.menu li > span,
.region--light-typography ul.menu li a.is-active,
.region--light-typography ul.menu li.active-trail > a {
  color: #ffffff;
}
ul.menu li.menu-item--expanded ul {
  padding-left: 25px;
}

/*menu arrows*/
ul.menu li > a:before {
  content: "\f105";
  font-family: 'FontAwesome';
  position: absolute;
  left: 0px;
  font-size: 20px;
  top: 7px;
  color: #363636;
  -webkit-transition: all linear 0.2s;
  -moz-transition: all linear 0.2s;
  -o-transition: all linear 0.2s;
  -ms-transition: all linear 0.2s; 
  transition: all linear 0.2s;
  font-weight: 700;
}
ul.menu li.menu-item--expanded > a:before {
  content: "\f107";
}
ul.menu li > a:hover:before {
  -ms-transform: translateX(10px);
  -webkit-transform: translateX(10px);
  transform: translateX(10px);
  color: #ffffff;
}
ul.menu li.menu-item--expanded > a:hover:before {
  -ms-transform: translateX(5px);
  -webkit-transform: translateX(5px);
  transform: translateX(5px);
}
.region--light-typography ul.menu li > a:before {
  color: #ffffff;
}

/*Main navigation*/
.header-container ul.menu {
  margin: 0;
  list-style: none;
  text-align: right;
}
.header__section ul.menu {
  padding: 5px 0;
}
.header-container ul.menu li {
  background: none;
  padding: 0;
  margin: 0;
  display: inline-block;
  float: none;
  z-index: 497;
}
.header-container ul.menu li a,
.header-container ul.menu li > span {
  line-height: 1;
  font-size: 13px;
  font-weight: 400;
  margin: 0;
  padding: 15px 10px;
  text-transform: uppercase;
  color: #666666;
  text-decoration: none;
}
.header-container ul.menu li a:hover,
.header-container ul.menu > li > a.is-active:hover,
.header-container ul.menu > li.active-trail > a:hover {
  color: #ffffff;
}
.header-container ul.menu > li > a:hover,
.header-container .region--light-typography ul.menu > li > a:hover,
.header-container ul.menu > li > span:hover,
.header-container .region--light-typography ul.menu > li > span:hover {
  color: #ffffff;
}
.headings-wide-spacing-enabled .header-container ul.menu li a,
.headings-wide-spacing-enabled .header-container ul.menu li > span  {
  letter-spacing: 0.25em;
}
.header-container .region--light-typography ul.menu li a,
.header-container .region--light-typography ul.menu li > span,
.header-container .region--light-typography ul.menu li > span:hover,
.header-container .region--light-typography ul.menu li a:hover,
.header-container .region--light-typography ul.menu li a.is-active,
.header-container .region--light-typography ul.menu li.active-trail > a {
  text-decoration: none;
  color: #ffffff;
}

.header-container ul.menu li a:before {
  content: "";
  width: 0;
  height: 0;
}
.header-container ul.menu ul.menu {
  display: none;
}
@media (max-width:1199px) {
  .header-container ul.menu {
    text-align: left;
  }
}

/*header top highlighted*/
.header-top-highlighted__section ul.menu:not(.sf-accordion) {
  text-align: center;
}
.header-top-highlighted__section ul.menu:not(.sf-accordion) li a,
.header-top-highlighted__section ul.menu:not(.sf-accordion) li > span {
  text-transform: none;
  padding: 5px 10px 10px;
  line-height: 1.2;
  margin: 0;
  font-size: 15px;
}
.header-top-highlighted__section ul.menu:not(.sf-accordion) > li:first-child > a,
.header-top-highlighted__section ul.menu:not(.sf-accordion) > li:first-child > span {
  padding-left: 0;
}
.header-top-highlighted__section ul.menu:not(.sf-accordion) > li:last-child > a,
.header-top-highlighted__section ul.menu:not(.sf-accordion) > li:last-child > span {
  padding-right: 0;
}
@media (min-width: 768px) {
  .header-top-highlighted-first ul.menu:not(.sf-accordion) {
    text-align: left;
  }
  .header-top-highlighted-second ul.menu:not(.sf-accordion) {
    text-align: right;
  }
}

/*header top*/
.header-top__section ul.menu:not(.sf-accordion) {
  text-align: center;
}
.header-top__section ul.menu:not(.sf-accordion) li a,
.header-top__section ul.menu:not(.sf-accordion) li > span {
  text-transform: none;
  padding: 5px 10px 10px;
  line-height: 1.2;
  margin: 0;
  font-size: 15px;
}
.header-top__section ul.menu:not(.sf-accordion) > li:first-child > a,
.header-top__section ul.menu:not(.sf-accordion) > li:first-child > span {
  padding-left: 0;
}
.header-top__section ul.menu:not(.sf-accordion) > li:last-child > a,
.header-top__section ul.menu:not(.sf-accordion) > li:last-child > span {
  padding-right: 0;
}
@media (min-width: 768px) {
  .header-top-first ul.menu:not(.sf-accordion) {
    text-align: left;
  }
  .header-top-second ul.menu:not(.sf-accordion) {
    text-align: right;
  }
}

/*footer menu*/
.footer__section ul.menu li a,
.footer__section ul.menu li > span {
  padding: 8px 0 8px 30px;
  text-decoration: none;
}
.footer__section ul.menu li a:before {
  top: 8px;
}
@media (max-width:767px) {
  .footer__section ul.menu {
    text-align: center;
  }
  ul.menu li.menu-item--expanded ul {
    padding-left: 0;
  }
  .footer__section ul.menu li a,
  .footer__section ul.menu li > span {
    padding: 7px 20px 8px 20px;
  }
  .footer__section ul.menu li > a:before {
    content: "";
    width: 0px;
    height: 0px;
  }
}

/*Footer Bottom menu*/
.footer-bottom__section ul.menu {
  margin: 0;
  padding: 0;
  list-style-type: none;
  text-align: center;
}
.footer-bottom__section ul.menu li {
  display: inline-block;
}
.footer-bottom__section ul.menu ul.menu {
  display: none;
}
.footer-bottom__section ul.menu li a,
.footer-bottom__section ul.menu li > span {
  font-size: 14px;
  font-weight: 400;
  text-decoration: none;
  margin: 0 15px 0 13px;
  padding: 5px 0;
  line-height: 1;
  text-transform: uppercase;
  border-bottom-color: transparent;
  border-bottom-width: 1px;
  border-bottom-style: solid;
}
.region--dark-typography .footer-bottom__section ul.menu li a,
.region--dark-typography .footer-bottom__section ul.menu li a.is-active:hover,
.region--dark-typography .footer-bottom__section ul.menu li > span {
  color: #a6a6a6;
}
.footer-bottom__section ul.menu li a:hover,
.region--light-typography .footer-bottom__section ul.menu li > a:hover {
  background-color: transparent;
}
.headings-wide-spacing-enabled .footer-bottom__section ul.menu li a,
.headings-wide-spacing-enabled .footer-bottom__section ul.menu li > span {
  letter-spacing: 0.25em;
}
.footer-bottom__section ul.menu li a:hover {
  border-bottom-color: #a6a6a6;
  text-decoration: none;
}
.region--light-typography .footer-bottom__section ul.menu li a:hover {
  border-bottom-color: #ffffff;
}
.footer-bottom__section ul.menu li:first-child > a,
.footer-bottom__section ul.menu li:first-child > span {
  margin-left: 0;
}
.footer-bottom__section ul.menu li:last-child > a,
.footer-bottom__section ul.menu li:last-child > span {
  margin-right: 0;
}
.footer-bottom__section ul.menu li a:before {
  content: "";
  width: 0;
  height: 0;
}
@media (max-width:991px) {
  .footer-bottom__section ul.menu {
    text-align: center;
    padding: 10px 0;
  }
}
@media (max-width:767px) {
  .footer-bottom__section ul.menu li {
    display: block;
    margin: 10px 20px;
  }
  .footer-bottom__section ul.menu li:last-child a,
  .footer-bottom__section ul.menu li:first-child a,
  .footer-bottom__section ul.menu li a,
  .footer-bottom__section ul.menu li span {
    margin: 0 10px;
    display: inline-block;
    padding: 5px;
  }
}

/*superfish support*/
.sf-menu ul {
  display: none;
}
.header-container .sf-menu li.sfHover {
  z-index: 498;
}
.header-container .sf-menu li.sfHover > a,
.header-container .sf-menu li > a:hover {
  color: #ffffff;
}
.header-container .sf-menu li.sfHover > a.is-active,
.header-container .sf-menu li.sfHover.active-trail > a {
  color: #ffffff;
}
.header-container ul.sf-menu > li.menuparent > a {
  padding-right: 20px;
}
.header-container .region--dark-background .sf-menu li a.is-active,
.header-container .region--dark-background .sf-menu li.active-trail > a,
.header-container .region--dark-background .sf-menu li.sfHover > a,
.header-container .region--dark-background .sf-menu li > a:hover {
  opacity: 0.75;
}
.header-container .sf-menu > li > ul {
  right: 0 !important;
}
.header-container .sf-menu.menu ul {
  display: none;
  padding: 1em 0;
  text-align: left;
  left: 0;
  top: 100%;
}
.header-container .sf-shadow.sf-menu.menu ul {
  -webkit-box-shadow: rgba(100, 100, 100, 0.1) 0px 4px 14px, rgba(100, 100, 100, 0.1) 0px 4px 2px;
  box-shadow: rgba(100, 100, 100, 0.1) 0px 4px 14px, rgba(100, 100, 100, 0.1) 0px 4px 2px;
}
.header-container .sf-menu ul li a,
.header-container .sf-menu ul li > span {
  font-size: 15px;
  color: #ffffff;
  padding: 13px 2em 11px;
  display: block;
}
.header-container .sf-menu ul li a:hover,
.header-container .sf-menu ul li.sfHover > a,
.header-container .sf-menu ul li > span:hover,
.header-container .sf-menu ul li.sfHover > span {
  color: #ffffff;
}
.headings-wide-spacing-enabled .header-container .sf-menu ul li a,
.headings-wide-spacing-enabled .header-container .sf-menu ul li > span {
  letter-spacing: 0;
  text-transform: none;
}
.header-container .sf-menu ul li:last-child a,
.header-container .sf-menu ul li:last-child > span {
  border-bottom: none;
}
.header-container .sf-menu.menu ul ul {
  top: -1em;
  margin-left: 1px;
  margin-right: 1px;
  margin-top: 0;
}

/*superfish menu arrows*/
.header-container ul.sf-menu .sf-sub-indicator {
  right: 5px;
  width: 17px;
  font-size: 13px;
  font-weight: 400;
  top: 53%;
  margin-top: 0px;
}
.header-container ul.sf-menu > li > a .sf-sub-indicator:after {
  content: "\f078";
  font-family: 'FontAwesome';
  left: 50%;
  margin-left: -3px;
  font-size: 7px;
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  -ms-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}
.header-container .region--dark-typography ul.sf-menu > li > a .sf-sub-indicator:after {
  color: #9c9c9c;
}
.header-container ul.sf-menu > li > a:hover .sf-sub-indicator:after,
.header-container ul.sf-menu > li > a.is-active .sf-sub-indicator:after,
.header-container ul.sf-menu > li.sfHover > a .sf-sub-indicator:after,
.header-container ul.sf-menu > li.sfHover.active-trail > a .sf-sub-indicator:after,
.header-container ul.sf-menu > li.active-trail > a:hover .sf-sub-indicator:after {
  color: #ffffff;
}
.header-container .region--light-typography ul.sf-menu > li > a:hover .sf-sub-indicator:after,
.header-container .region--light-typography ul.sf-menu > li > a.is-active .sf-sub-indicator:after,
.header-container .region--light-typography ul.sf-menu > li.sfHover > a .sf-sub-indicator:after,
.header-container .region--light-typography ul.sf-menu > li.active-trail > a .sf-sub-indicator:after {
  color: #ffffff;
}
.header-container ul.sf-menu ul .sf-sub-indicator {
  right: 7px;
  top: 19px;
  width: 14px;
  font-size: 15px;
  height: 15px;
}
.header-container ul.sf-menu ul li .sf-sub-indicator:after {
  font-family: 'FontAwesome';
  content: "\f105";
}

 /*Superfish mega-menu support*/
.header-container ul.sf-menu li.sf-multicolumn-column {
  display: inline;
  float: left;
}
.header-container ul.sf-menu ul li.sf-multicolumn-column a.menuparent {
  font-weight: bold;
}
.header-container ul.sf-menu ul li.sf-multicolumn-column a.menuparent:after {
  content: "";
}

/*Menu with call-to-action button*/
.header__section .menu.cta-active {
  padding: 5px 0;
}
.menu.cta-active > li:last-child > a {
  font-weight: 400;
  font-size: 18px;
  padding: 15px 30px;
  color: #ffffff;
  display: inline-block;
  line-height: 1;
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  -ms-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
  text-align: center;
  border-radius: 5px;
  border-width: 1px;
  border-style: solid;
  border-color: transparent;
  text-decoration: none;
  margin: 0 0 0 40px;
}
.page-container-border-enabled .header-container .container-fluid .menu.cta-active > li:last-child > a {
  margin-right: 15px;
}
.headings-wide-spacing-enabled .menu.cta-active > li:last-child > a {
  letter-spacing: 0.25em;
  text-transform: uppercase;
}
.menu.cta-active > li:last-child > a.is-active {
  color: #ffffff;
}
.menu.cta-active > li:last-child > a:hover {
  color: #ffffff;
}
.menu.cta-active--email > li:last-child > a:before {
  content: "\f0e0";
  font-family: "FontAwesome";
  padding-right: 10px;
  position: static;
  color: inherit;
  vertical-align: top;
  transition: none;
}
@media (max-width: 1199px) {
  .menu.cta-active > li:last-child > a {
    margin-left: 10px;
    padding: 15px;
  }
}
@media (max-width: 991px) {
  .menu.cta-active > li:last-child > a {
    margin-left: 20px;
    padding: 15px 20px;
  }
}
.sf-accordion.sf-style-none.cta-active > li:last-child {
  text-align: center;
}
.sf-accordion.sf-style-none.cta-active > li:last-child > a {
  display: block;
  padding: 15px 25px;
}
.region--light-typography .menu.cta-active > li:last-child > a {
  color: #ffffff;
  text-decoration: none;
  background-color: transparent;
  border-style: solid;
  border-width: 1px;
  border-color: #ffffff;
}
.region--light-typography .menu.cta-active > li:last-child > a:hover {
  background-color: #ffffff;
  border-color: #ffffff;
}

/*Mobile Menu*/
.header-container .block-superfish {
  position: relative;
}
.header-container .sf-accordion-toggle.sf-style-none {
  text-align: right;
}
.header-container .sf-accordion-toggle.sf-style-none a {
  padding: 15px 10px;
  display: inline-block;
  text-decoration: none;
}
.header-container .region--dark-typography .sf-accordion-toggle.sf-style-none a {
  color: #2d2d2d;
}
.header-container .sf-accordion-toggle.sf-style-none a:after {
  content: "\f0c9";
  font-family: "FontAwesome";
  font-size: 24px;
  line-height: 1;
}
.header-container .sf-accordion-toggle.sf-style-none a.sf-expanded {
  position: relative;
  right: auto;
  z-index: auto;
}
.header-container .sf-accordion-toggle.sf-style-none a.sf-expanded:after {
  content: "\f00d";
}
.header-container .sf-accordion-toggle.sf-style-none span {
  display: none;
}
.header-container ul.menu.sf-accordion {
  padding: 0;
  text-align: left;
  background: #ffffff;
  border-radius: 5px;
  border: 1px solid #eaeaea;
}
.header-container ul.menu.sf-accordion ul {
  padding: 0;
  margin: 0;
  border: none;
  box-shadow: none;
}
.header-container ul.menu.sf-accordion li a,
.header-container ul.menu.sf-accordion li > span {
  border-bottom: 1px solid #eaeaea;
  margin: 0;
  text-transform: none;
}
.header-container .sf-menu.sf-accordion ul li a,
.header-container .sf-menu.sf-accordion ul li > span {
  font-size: 13px;
  font-weight: 400;
  padding-top: 15px;
  padding-bottom: 15px;
}
.header-container ul.menu.sf-accordion li:last-child > a,
.header-container ul.menu.sf-accordion li:last-child > span {
  border-bottom-color: transparent;
}
.header-container ul.menu.sf-accordion ul li a,
.header-container ul.menu.sf-accordion ul li > span {
  padding-left: 45px;
  border-color: rgba(255, 255, 255, 0.1);
}
.header-container ul.menu.sf-accordion ul ul li a,
.header-container ul.menu.sf-accordion ul ul li > span {
  padding-left: 60px;
}
.header-container ul.menu.sf-accordion ul ul ul li a,
.header-container ul.menu.sf-accordion ul ul ul li > span {
  padding-left: 75px;
}
.header-container ul.menu.sf-accordion ul ul ul ul li a,
.header-container ul.menu.sf-accordion ul ul ul ul li > span {
  padding-left: 90px;
}

/*mobile menu arrows*/
ul.menu.sf-menu.sf-accordion li a .sf-sub-indicator {
  position: absolute;
  top: 0;
  right: 0;
  font-size: 12px;
  font-weight: 400;
  line-height: 45px;
  width: 45px;
  height: 45px;
  text-align: center;
  -webkit-transform: none;
  -moz-transform: none;
  -ms-transform: none;
  -o-transform: none;
  transform: none;
}

ul.menu.sf-menu.sf-accordion li a .sf-sub-indicator:after {
  content: "\f067";
  font-family: 'FontAwesome';
  line-height: 45px;
  width: 100%;
  left: 0;
  margin-left: 0;
  font-size: 12px;
}
ul.menu.sf-menu.sf-accordion li.sf-expanded > a .sf-sub-indicator:after {
  content: "\f068";
}
ul.menu.sf-menu.sf-accordion li a.sf-accordion-button {
  position: absolute;
  right: 0;
  z-index: 500;
  padding: 0 15px;
  border-left-width: 1px;
  border-left-style: solid;
  border-left-color: #eaeaea;
  border-bottom: none;
  border-top: none;
  width: 50px;
  line-height: 44px;
  font-size: 0;
}
.region--light-typography ul.menu.sf-menu.sf-accordion li a.sf-accordion-button {
  border-color: rgba(255, 255, 255, 0.1);
}
ul.menu.sf-menu.sf-accordion ul li a.sf-accordion-button {
  border-left-color: rgba(255, 255, 255, 0.1);
}
ul.menu.sf-menu.sf-accordion li a.sf-accordion-button:after {
  font-family: 'FontAwesome';
  content: "\f067";
  position: absolute;
  width: 100%;
  top: 0;
  right: 0;
  margin: 0;
  font-size: 12px;
  line-height: 50px;
  text-align: center;
}
ul.menu.sf-menu.sf-accordion ul li a.sf-accordion-button:after {
  line-height: 44px;
}
ul.menu.sf-menu.sf-accordion li.sf-expanded > a.sf-accordion-button:after {
  content: "\f068";
}

/*Mobile Menu at slideout region*/
.slideout ul.menu:not(.sf-accordion) {
  margin: 0 -20px;
}
.slideout ul.menu li a,
.slideout ul.menu li > span {
  padding: 12px 40px 8px 40px;
  font-size: 18px;
  text-transform: uppercase;
  font-weight: 400;
}
.slideout ul.menu:not(.sf-accordion) li a:before,
.slideout ul.menu:not(.sf-accordion) li > span:before {
  content: "";
}
.slideout ul.menu.sf-accordion li a,
.slideout ul.menu.sf-accordion li > span {
  padding: 12px 0px 8px 20px;
}
.slideout .block-superfish {
  position: relative;
}
.slideout .sf-accordion-toggle.sf-style-none {
  display: none;
}
.slideout ul.menu.sf-accordion {
  padding: 0;
  text-align: left;
  background: #f6f8f9;
  border-radius: 5px;
  border-width: 0;
  display: block;
}
.slideout ul.menu.sf-accordion ul {
  padding: 0;
  margin: 0;
  border: none;
  box-shadow: none;
  background-color: #ffffff;
}
.slideout ul.menu.sf-accordion li a,
.slideout ul.menu.sf-accordion li > span {

}
.slideout ul.menu.sf-accordion ul ul li a,
.slideout ul.menu.sf-accordion ul ul li > span {
  padding-left: 30px;
}
.slideout ul.menu.sf-accordion ul ul ul li a,
.slideout ul.menu.sf-accordion ul ul ul li > span {
  padding-left: 45px;
}
.slideout ul.menu.sf-accordion ul ul ul ul li a,
.slideout ul.menu.sf-accordion ul ul ul ul li > span {
  padding-left: 60px;
}
.slideout .sf-accordion.sf-style-none.cta-active > li:last-child > a {
  margin: 40px 0 0 0;
}
.slideout .sf-accordion.sf-style-none.cta-active > li:last-child > a:before {
  font-size: 13px;
}

/*mobile menu arrows*/
.slideout ul.sf-accordion li > a:before {
  content: "";
}
.slideout ul.sf-accordion li a.menuparent:after {
  content: "\f067";
  font-family: 'FontAwesome';
  position: absolute;
  border-left-width: 0;
  top: 0;
  right: 10px;
  text-align: right;
  font-size: 12px;
  font-weight: 400;
  line-height: 52px;
  width: 50px;
  height: 50px;
}
.slideout ul.sf-accordion li.sf-expanded > a.menuparent:after {
  content: "\f068";
}
.slideout ul.sf-accordion ul li a.menuparent:after {
  content: "\f067";
  top: 0;
  left: auto;
}
.slideout ul.sf-accordion li .sf-accordion-button + a.menuparent::after {
  content: "";
  content: none;
}

/*Mobile menu @colored regions*/
.region--light-typography ul.menu.sf-accordion {
  background: transparent;
  border-color: rgba(255, 255, 255, 0.1);
}
.region--light-typography ul.menu.sf-accordion ul {
  background-color: transparent;
}
.region--light-typography ul.menu.sf-accordion li a,
.region--light-typography ul.menu.sf-accordion li > span {
  border-bottom-color: rgba(255, 255, 255, 0.1);
  color: #ffffff;
}
